/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.risk;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/23 14:26
 */
public enum ThresholdType {
    /**
     * 普通数值
     */
    COMMON_VALUE(1, "普通数值"),

    /**
     * 百分比
     */
    PERCENTAGE_VALUE(2, "百分比"),

    /**
     * 仅标志一种状态
     */
    CONSTANT(3, "仅标志一种状态");

    @Getter
    private final Integer code;

    @Getter
    private final String name;

    private static final List<CodeNameVo> LIST = new ArrayList<>();

    static {
        for (ThresholdType item : values()) {
            LIST.add(new CodeNameVo(item.code, item.name));
        }
    }

    ThresholdType(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getByCode(Integer code) {
        for (ThresholdType item : values()) {
            if (item.code.equals(code)) {
                return item.getName();
            }
        }
        return "未知区间类型";
    }

    public List<CodeNameVo> findAll() {
        return LIST;
    }
}
